Review Board 1.7.22


FLUME-1723: AsyncHBase and Avro bring in different versions of Netty

Review Request #8109 - Created Nov. 18, 2012 and submitted

Mike Percy
FLUME-1723
Reviewers
Flume
flume-git
This patch makes Netty an explicit dependency for SDK (which uses Avro), Core (which uses Avro and also Netty directly), and HBase sink (which uses AsyncHBaseSink which depends on Netty).

It also excludes Netty as a dependency from avro-ipc and asynchbase.
Unit tests pass. Quick manual test. Also, mvn dependency:tree only lists a non-1.4.0 netty under hbase, which is marked as optional, so it is not brought in.
Review request changed
Updated (Nov. 18, 2012, 3:40 a.m.)
  • changed from pending to submitted